package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFJS9Response {

    @Parameter(name = "ACCOUNTNUMBER")
    String accountnumber();

    @Parameter(name = "ACCOUNTNUMBERTRANSFER")
    String accountnumbertransfer();

    @Parameter(name = "APPLKEY")
    String applkey();

    @Parameter(name = "BANKCODETRANSFER")
    String bankcodetransfer();

    @Parameter(name = "BUSSTATE")
    String busstate();

    @Parameter(name = "CARDTRANSFER")
    Long cardtransfer();

    @Parameter(name = "CARDTYPE")
    String cardtype();

    @Parameter(name = "CHECKBLCOUNTRY")
    String checkblcountry();

    @Parameter(name = "CHECKBRIDGER")
    String checkbridger();

    @Parameter(name = "CHECKDOCUMENTS")
    String checkdocuments();

    @Parameter(name = "CHECKFATCA")
    String checkfatca();

    @Parameter(name = "CHECKTRANSFER")
    String checktransfer();

    @Parameter(name = "CLIENTID")
    String clientid();

    @Parameter(name = "CREATEDATE")
    java.util.Date createdate();

    @Parameter(name = "DEBETCARDFLAG")
    String debetcardflag();

    @Parameter(name = "ERRORFLAG")
    Boolean errorflag();

    @Parameter(name = "ERRORMESSAGE")
    String errormessage();

    @Parameter(name = "ERRORMWFFLAG")
    Boolean errormwfflag();

    @Parameter(name = "INCOMPLETEREQUEST")
    String incompleterequest();

    @Parameter(name = "LASTSTATECHANGEDATE")
    java.util.Date laststatechangedate();

    @Parameter(name = "PREVIOUSSTATE")
    String previousstate();

    @Parameter(name = "PROCESSNAME")
    String processname();

    @Parameter(name = "TERMINATEDATE")
    java.util.Date terminatedate();

    @Parameter(name = "USERID")
    String userid();

    @Parameter(name = "WAKEUPTIME")
    java.util.Date wakeuptime();

    @Parameter(name = "WORKCREATEDBY")
    String workcreatedby();

}